﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MangoChat;

namespace MangoTest
{
    public partial class Test : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (ChatService.GetSessionCookie(HttpContext.Current) == null)
                Response.Redirect("~/Login.aspx");
            
        }

        protected void btnLogout_Click(object sender, EventArgs e)
        {
            ChatService.StopUserSession(HttpContext.Current);
            Session["LoggedInUserName"] = null;
            Session["LoggedInUserId"] = null;
            Response.Redirect("~/Login.aspx");
            
        }
    }
}